summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--misc/po4a/README36
-rw-r--r--misc/po4a/po4a.SlackBuild111
-rw-r--r--misc/po4a/po4a.info10
-rw-r--r--misc/po4a/slack-desc19
4 files changed, 176 insertions, 0 deletions
diff --git a/misc/po4a/README b/misc/po4a/README
new file mode 100644
index 0000000000..e560c89996
--- /dev/null
+++ b/misc/po4a/README
@@ -0,0 +1,36 @@
+po4a - Versatile PO to/from other documentation formats converter
+
+po4a (PO for anything) eases translations and their maintenance,
+allowing gettext's usage on unexpected areas like documentation.
+
+In po4a each documentation format is handled by a module, that
+converts this format to/from PO. Formats included in po4a-0.45 are:
+BibTex, Dia, Halibut, KernelHelp, LaTeX, Man, POD, SGML, TeX,
+Texinfo, Text, WML, XHTML, XML.
+
+man pages are encoded in UTF-8. To read them in other languages than English,
+do this for instance:
+LANG=ru_RU.utf8 GROFF_ENCODING=utf8 man <man page>
+
+WARNING: run po4a.SlackBuild as root (su -) not with only root privileges
+(su), otherwise test #24 will fail.
+
+Dependencies tree is as follows (all dependencies listed are available at
+http://slackbuilds.org).
+
+Po4a-0.45
+|
+|-- locale-gettext (included in Slackware 14.1), allows translation of
+| po4a's own messages. Optional
+|-- perl-term-ReadKey to retrieve the terminal's line width. Only used if
+| perl-text-WrapI18N is available. Optional
+|-- perl-text-WrapI18N to format po4a's warnings and error messages. Optional.
+| |-- Text::CharWidth. Mandatory
+|-- perl-Unicode-LineBreak, includes module Unicode::GCString to compute
+ text width, neeeded by AsciiDoc to determine two line titles in
+ encodings different from ASCII. Mandatory for TEXT module.
+ |-- perl-MIME-Charset. Mandatory
+ |-- perl-Encode-EUCJPASCII. Optional
+ |-- perl-Encode-HanExtra. Optional.
+ |-- perl-Encode-JISX0213. Optional
+ |-- perl-Encode-ISO2022. Mandatory
diff --git a/misc/po4a/po4a.SlackBuild b/misc/po4a/po4a.SlackBuild
new file mode 100644
index 0000000000..2d9fc82c25
--- /dev/null
+++ b/misc/po4a/po4a.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for perl-Unicode-LineBreak
+
+# Copyright 2014 Didier Spaier Paris, France
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.ritten by Didier Spaier <didier dot spaier at epsm dot fr>
+
+# WARNING: run this script as real root (su -) else some tests will fail
+# WARNING: run this script using an UTF-8 locale. If you don't use one
+# usually, run it like this e.g.
+# LC_ALL=en_US.utf8 ./po4a.SlackBuild
+
+PRGNAM=po4a
+VERSION=${VERSION:-0.45}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/slint}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Build.PL \
+ prefix=/usr \
+ installdirs=vendor \
+ destdir=$PKG
+./Build
+./Build test
+./Build install \
+ --install_path bindoc=/usr/man/man1 \
+ --install_path libdoc=/usr/man/man3
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cp -rf $PKG/usr/share/man $PKG/usr
+rm -rf $PKG/usr/share
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING NEWS README README.maintainers README.tests README.translators TODO \
+ changelog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/po4a/po4a.info b/misc/po4a/po4a.info
new file mode 100644
index 0000000000..066bafc79d
--- /dev/null
+++ b/misc/po4a/po4a.info
@@ -0,0 +1,10 @@
+PRGNAM="po4a"
+VERSION="0.45"
+HOMEPAGE="http://po4a.alioth.debian.org/"
+DOWNLOAD="http://alioth.debian.org/frs/download.php/file/3942/po4a-0.45.tar.gz"
+MD5SUM="423bdf5c39f30e63a808b84c5d9d1899"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="%README% perl-Unicode-LineBreak"
+MAINTAINER="Didier Spaier"
+EMAIL="didier dot spaier at epsm dot fr"
diff --git a/misc/po4a/slack-desc b/misc/po4a/slack-desc
new file mode 100644
index 0000000000..b2e1b44a8c
--- /dev/null
+++ b/misc/po4a/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+po4a: po4a (PO documentation format converter)
+po4a:
+po4a: po4a (PO for anything) eases translations and their maintenance,
+po4a: allowing gettext's usage on unexpected areas like documentation.
+po4a:
+po4a: In po4a each documentation format is handled by a module, that
+po4a: converts this format to/from PO. Formats included in po4a-0.45 are:
+po4a: BibTex, Dia, Halibut, Kernelhelp, LaTeX, Man, POD, SGML, TeX,
+po4a: Texinfo, Text, WML, XHTML, XML.
+po4a:
+po4a: